---
title: which
layout: command
version: 0.59.0
---

Finds a program file, alias or custom command.

## Signature

```> which (application) ...rest --all```

## Parameters

 -  `application`: application
 -  `...rest`: additional applications
 -  `--all`: list all executables

## Examples

Find if the 'myapp' application is available
```shell
> which myapp
```

